classification
Title: [importlib] deprecate module_repr() methods
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: brett.cannon
Priority: normal Keywords: patch

Created on 2020-10-23 23:18 by brett.cannon, last changed 2021-03-26 19:06 by brett.cannon. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 25022 merged brett.cannon, 2021-03-25 15:46
Messages (2)
msg379495 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2020-10-23 23:18
The import system handles what `module_repr()` was meant for.
msg389557 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2021-03-26 18:55
New changeset 1899087b21119c5c64cd41619b542c0bf0ab5751 by Brett Cannon in branch 'master':
bpo-42136: Deprecate module_repr() as found in importlib (GH-25022)
https://github.com/python/cpython/commit/1899087b21119c5c64cd41619b542c0bf0ab5751
History
Date User Action Args
2021-03-26 19:06:39brett.cannonsetstatus: open -> closed
assignee: brett.cannon ->
resolution: fixed
stage: patch review -> resolved
2021-03-26 18:55:20brett.cannonsetmessages: + msg389557
2021-03-26 18:42:14brett.cannonsetassignee: brett.cannon
2021-03-25 15:46:48brett.cannonsetkeywords: + patch
stage: patch review
pull_requests: + pull_request23772
2021-03-21 02:41:53brett.cannonunlinkissue42137 dependencies
2020-10-23 23:21:03brett.cannonlinkissue42137 dependencies
2020-10-23 23:18:48brett.cannoncreate